﻿@model HOD.Models.AgentDisplayModel
@using Microsoft.Ajax.Utilities
@{
    ViewBag.Title = "Pages";
    Layout = "~/Views/Shared/_AgentPagesLayout.cshtml";
}
<style>
    table td, table td * {
        vertical-align: top;
    }
</style>


<link href="@Url.Content("~/Content/assets/css/croppic.css")" rel="stylesheet">
<script type="text/javascript" src="@Url.Content("~/Scripts/croppic.js")"></script>

<style>

    a.newListing {
        color: #333333;
    }

        a.newListing:active {
            color: #666666;
        }

        a.newListing:link {
            color: #999999;
        }

        a.newListing:visited {
            color: #ffffff;
        }

    textarea {
        background-color: lightyellow;
        width: 100%;
    }
</style>

<div class="details_holder">
    <!--div class="panel panel-default" style="border:none">
        <div class="panel-heading" align="left">Agent Page Setup</div>
        <div class="panel-body" style="background-color: #ffffff;"-->
    @*Html.ActionLink("Add New Listing", "RegCustomer", "Agent", null, new { @class = "btn btn-primary newListing", @color= "#00000", @visited="#00000",  })*@
    <!--/div>
     </div-->
    <!-- Nav tabs -->
    <!--ul class="nav nav-tabs" role="tablist">
      <li class="active"><a href="#home" role="tab" data-toggle="tab">MY PAGES</a></li>
      <li><a href="#profile" role="tab" data-toggle="tab">LIST NOW</a></li>
      <li><a href="#myListings" role="tab" data-toggle="tab"><b>My Listings</b></a></li>
      <!--li><a href="#settings" role="tab" data-toggle="tab">Settings</a></li>
    </ul-->
    <!--div class="tab-content">
      <div class="tab-pane active" id="home">
          <p>
          &nbsp;
          </p-->


        <div class="panel panel-primary" style="border: none">
            <div class="panel-heading" align="left">@Model.BusinessName - Contact Us</div>
            <div class="panel-body" style="background-color: #ffffff;">

                <script>
                    tinymce.init({ selector: 'textarea', menubar: false, statusbar: false });
                    var $body2 = $('body');
                    $body2.css('background-image', 'none');

                    $(document).ready(function () {
                        var $body = $('body');
                       // $('body').css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ') !important;');
                        $body.css('backgroundImage', 'url("@Model.AgentTopBackground")');//.height(525).width(1660);
                        $('#agentLogo').attr('src', '@Model.AgentLogo').height(72).width(783);
                        $('#otherPage1').text('@Model.OtherPage1Label');
                        $('#otherPage2').text('@Model.OtherPage2Label');

                        $('#mainMenu a').each(function () {
                            this.href += '?AgentId=@Model.AgentId';
                        });
                    });


                </script>
                 <!--input type="text" value="Model.AgentBottomBackground" />
                 <input type="text" value="Model.AgentLogo" />
                 <input type="text" id="backgroundLoc" value="Model.AgentTopBackground" /-->   
                <div>
                    <table border="0">
                        <tr>
                            <td style="width:80%;">
                                <table border="0" style="width:100%;">
                                    <tr>
                                        <td colspan="2"><b><h3>@Model.BusinessName</h3></b></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2"><h5>@Model.BusinessAddress</h5></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2"><h5>@Model.BusinessCity, @Model.PostalCode</h5></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2"><h5>@Model.Province</h5></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2"><h5>@Model.Phone1</h5></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2"><h5>@Model.Phone2</h5></td>
                                    </tr>
                                </table>
                            </td>
                            <td>
                                <p style="width:100%; overflow:auto;">
                                    <img src="@Model.AgentProfilePic" alt="Photo placeholder" style="float:right; border:solid; width:268px; height:268px;border:groove;"/>
                                </p>
                            </td>
                    </table>
                </div>  
                <div><a href="/Agent/SignUp" class="btn-lg btn-default" align="right" style="border-top:1px solid #cacaca;" >Sign Up Now</a></div>
                <br />                                   
                <clear />
        </div>
       </div>
    </div>
</div>
</div>



